Bug 15463 - no way to set keyboard layout on X
Summary: no way to set keyboard layout on X
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-05 07:17 UTC by Arenas Belon, Carlo Marcelo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 15:45:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arenas Belon, Carlo Marcelo 2000-08-05 07:17:14 UTC
you would need to manually edit /etc/X11/XF86Config* as kbdconfig just does
console keyboard configuration (/etc/sysconfig/keyboard)

mouseconfig DO care

Comment 1 Trond Eivind Glomsrxd 2000-08-06 20:30:51 UTC
run kbdconfig first, Xconfigurator second

Comment 2 Arenas Belon, Carlo Marcelo 2000-08-28 13:36:54 UTC
Xconfigurator doesn't change the keyboard layout when console keyboard layout is
latin-1 (XF4 mga driver)

also, as weird as it sounds, with the same "keyboard" device configuration the
AltGr key doesn't work on runlevel 5 but does on runlevel3/startx

Comment 3 Trond Eivind Glomsrxd 2000-08-30 20:19:35 UTC
"latin-1"? No such choice...

Comment 4 Trond Eivind Glomsrxd 2000-10-04 15:45:30 UTC
Closed for lack of user feedback...  running Xconfigurator after kbdconfig
should work,

Comment 5 Arenas Belon, Carlo Marcelo 2000-10-17 17:40:06 UTC
sorry, i couldn't found a corresponding latin-1 keyboard map for X
for any matching kbdconfig and X name running kbdconfig and then Xconfigurator
should work as you explained.


Note You need to log in before you can comment on or make changes to this bug.